VkCmdProcessCommandsInfoNVX Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkCmdProcessCommandsInfoNVX:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkObjectTableNVX | objectTable
VkIndirectCommandsLayoutNVX | indirectCommandsLayout
uint32_t | indirectCommandsTokenCount
const VkIndirectCommandsTokenNVX * | pIndirectCommandsTokens
uint32_t | maxSequencesCount
VkCommandBuffer | targetCommandBuffer
VkBuffer | sequencesCountBuffer
VkDeviceSize | sequencesCountOffset
VkBuffer | sequencesIndexBuffer
VkDeviceSize | sequencesIndexOffset

## Detailed Description

Definition at line 5737 of file vulkan.h.

## Field Documentation

## indirectCommandsLayout

VkIndirectCommandsLayoutNVX VkCmdProcessCommandsInfoNVX::indirectCommandsLayout

Definition at line 5741 of file vulkan.h.

## indirectCommandsTokenCount

uint32_t VkCmdProcessCommandsInfoNVX::indirectCommandsTokenCount

Definition at line 5742 of file vulkan.h.

## maxSequencesCount

uint32_t VkCmdProcessCommandsInfoNVX::maxSequencesCount

Definition at line 5744 of file vulkan.h.

## objectTable

VkObjectTableNVX VkCmdProcessCommandsInfoNVX::objectTable

Definition at line 5740 of file vulkan.h.

## pIndirectCommandsTokens

const VkIndirectCommandsTokenNVX* VkCmdProcessCommandsInfoNVX::pIndirectCommandsTokens

Definition at line 5743 of file vulkan.h.

## pNext

const void* VkCmdProcessCommandsInfoNVX::pNext

Definition at line 5739 of file vulkan.h.

## sequencesCountBuffer

VkBuffer VkCmdProcessCommandsInfoNVX::sequencesCountBuffer

Definition at line 5746 of file vulkan.h.

## sequencesCountOffset

VkDeviceSize VkCmdProcessCommandsInfoNVX::sequencesCountOffset

Definition at line 5747 of file vulkan.h.

## sequencesIndexBuffer

VkBuffer VkCmdProcessCommandsInfoNVX::sequencesIndexBuffer

Definition at line 5748 of file vulkan.h.

## sequencesIndexOffset

VkDeviceSize VkCmdProcessCommandsInfoNVX::sequencesIndexOffset

Definition at line 5749 of file vulkan.h.

## sType

VkStructureType VkCmdProcessCommandsInfoNVX::sType

Definition at line 5738 of file vulkan.h.

## targetCommandBuffer

VkCommandBuffer VkCmdProcessCommandsInfoNVX::targetCommandBuffer

Definition at line 5745 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h